/// <reference types="react" />
import { FormRendererProps, Schema as DataDrivenFormSchema } from '@data-driven-forms/react-form-renderer';
import { ComponentMapper } from '../ComponentMapper';
import { ValidatorMapper } from '../ValidatorMapper';
export interface Schema extends DataDrivenFormSchema {
    type: string;
}
export interface SchemaRendererProps extends Omit<FormRendererProps, 'FormTemplate' | 'componentMapper'> {
    schema: Schema;
    customComponentMapper?: ComponentMapper;
    customValidatorMapper?: ValidatorMapper;
}
export declare const SchemaRenderer: ({ schema, customComponentMapper, customValidatorMapper, ...rest }: SchemaRendererProps) => JSX.Element;
